## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
# * tests can only be run in-tree
%bcond_with check
%global debug_package %{nil}

%global crate actix-rt

Name:           rust-actix-rt
Version:        2.9.0
Release:        %autorelease
Summary:        Tokio-based single-threaded async runtime for the Actix ecosystem

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/actix-rt
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Tokio-based single-threaded async runtime for the Actix ecosystem.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGES.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+actix-macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+actix-macros-devel %{_description}

This package contains library source intended for building other packages which
use the "actix-macros" feature of the "%{crate}" crate.

%files       -n %{name}+actix-macros-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+io-uring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+io-uring-devel %{_description}

This package contains library source intended for building other packages which
use the "io-uring" feature of the "%{crate}" crate.

%files       -n %{name}+io-uring-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+macros-devel %{_description}

This package contains library source intended for building other packages which
use the "macros" feature of the "%{crate}" crate.

%files       -n %{name}+macros-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-uring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-uring-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-uring" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-uring-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Aug 31 2023 Fabio Valentini <decathorpe@gmail.com> - 2.9.0-1
- Update to version 2.9.0; Fixes RHBZ#2235114

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Feb 03 2023 Fabio Valentini <decathorpe@gmail.com> - 2.8.0-1
- Update to version 2.8.0; Fixes RHBZ#2162889

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Mar 31 2022 Fabio Valentini <decathorpe@gmail.com> - 2.7.0-1
- Update to version 2.7.0; Fixes RHBZ#2062039

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> - 2.6.0-1
- Update to version 2.6.0; Fixes RHBZ#2039861

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 07 2022 Fabio Valentini <decathorpe@gmail.com> - 2.5.1-1
- Update to version 2.5.1; Fixes RHBZ#2036322

* Tue Nov 23 2021 Fabio Valentini <decathorpe@gmail.com> - 2.5.0-1
- Update to version 2.5.0; Fixes RHBZ#2013043

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 14 2021 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-1
- Update to version 2.2.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 05 2020 Josh Stone <jistone@redhat.com> - 1.1.1-1
- Update to 1.1.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Dec 14 12:16:55 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Tue Aug 06 10:04:47 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.4-1
- Update to 0.2.4

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 11:42:29 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-1
- Update to 0.2.3

* Thu May 30 20:50:28 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-1
- Initial package

